chiark / gitweb /
Clarified NMU versioning to reflect existing practices. Closes: #532945
authorlucas <lucas@313b444b-1b9f-4f58-a734-7bb04f332e8d>
Thu, 25 Jun 2009 20:42:18 +0000 (20:42 +0000)
committerlucas <lucas@313b444b-1b9f-4f58-a734-7bb04f332e8d>
Thu, 25 Jun 2009 20:42:18 +0000 (20:42 +0000)
git-svn-id: svn://anonscm.debian.org/ddp/manuals/trunk/developers-reference@6761 313b444b-1b9f-4f58-a734-7bb04f332e8d

debian/changelog
pkgs.dbk

index b5acfdc..6688daa 100644 (file)
@@ -12,8 +12,9 @@ developers-reference (3.4.2) UNRELEASED; urgency=low
     also mention dpatch and cdbs' patch system. drop dbs. Closes: #525668.
   * Added a note in the wanna-build section to mention
     http://release.debian.org/wanna-build.txt. Closes: #516375.
+  * Clarified NMU versioning to reflect existing practices. Closes: #532945.
 
- -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 25 Jun 2009 22:29:13 +0200
+ -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 25 Jun 2009 22:39:35 +0200
 
 developers-reference (3.4.1) unstable; urgency=low
 
index 6eaed07..160fa5b 100644 (file)
--- a/pkgs.dbk
+++ b/pkgs.dbk
@@ -1999,18 +1999,33 @@ upload.  The first line of this entry must explicitely mention that this upload
 </screen>
 
 <para>
-The version must be the version of the last maintainer upload, plus
+The way to version NMUs differs for native and non-native packages.
+</para>
+<para>
+If the package is a native package (without a debian revision in the version number), 
+the version must be the version of the last maintainer upload, plus
 <literal>+nmu<replaceable>X</replaceable></literal>, where
-<replaceable>X</replaceable> is a counter starting at <literal>1</literal>.  If
+<replaceable>X</replaceable> is a counter starting at <literal>1</literal>.
+If
 the last upload was also an NMU, the counter should be increased.  For example,
-if the current version is <literal>1.5-1</literal>, then an NMU would get
-version <literal>1.5-1+nmu1</literal>.  If the current version is
-<literal>1.5+nmu3</literal> (a native package which has already been NMUed), the
-NMU would get version <literal>1.5+nmu4</literal>.  If a new upstream version
+if the current version is <literal>1.5</literal>, then an NMU would get
+version <literal>1.5+nmu1</literal>.
+</para>
+<para>
+If the package is a not a native package, you should add a minor version number
+to the debian revision part of the version number (the portion after the last
+hyphen). This extra number must start at 1.  For example,
+if the current version is <literal>1.5-2</literal>, then an NMU would get
+version <literal>1.5-2.1</literal>. If a new upstream version
 is packaged in the NMU, the debian revision is set to <literal>0</literal>, for
-example <literal>1.6-0+nmu1</literal>.
+example <literal>1.6-0.1</literal>.
+</para>
+<para>
+In both cases, if the last upload was also an NMU, the counter should
+be increased. For example, if the current version is
+<literal>1.5+nmu3</literal> (a native package which has already been
+NMUed), the NMU would get version <literal>1.5+nmu4</literal>.  .
 </para>
-
 <para>
 A special versioning scheme is needed to avoid disrupting the maintainer's
 work, since using an integer for the Debian revision will potentially